<?php
class PersistantDataRetriever {
	public static function getInstance() {
		return new PersistantDataRetriever(MySqliWrapper::getInstance());
	}
	private $mysqli;
	private function __construct(MySqliWrapper $mysqli) {
		$this->mysqli = $mysqli;
	}
	public function stuff() {
	}
}